Page MenuHomePhabricator

Convert Extension:WatchSubpages to OOUI
Closed, ResolvedPublic

Description

Special:WatchSubpages

Without Action

Before:
and After:

With Action

Before:
and After:

Details

Related Gerrit Patches:
mediawiki/extensions/WatchSubpages : masterConvert Special:WatchSubpages to OOUI

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 17 2018, 7:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jayprakash12345 triaged this task as Medium priority.Apr 17 2018, 7:07 PM
Jayprakash12345 moved this task from Unsorted to Conversion to OOUI on the UI-Standardization board.

Change 427190 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/WatchSubpages@master] Convert Special:WatchSubpages to OOUI

https://gerrit.wikimedia.org/r/427190

@Volker_E Two minor issue

  1. Using NamespaceInputWidget though Class HTMLSelectNamespace is giving extra all namespace. Which is not needed.
  2. When there is no Subpage in Page. then Getting
[error] [0e2097ce36cb19dea5e467bd] /Dev/core/index.php?prefix=Jay&namespace=2&wpbutton=Go&title=Special%3AWatchSubpages ErrorException from line 205 of C:\xampp\htdocs\Dev\core\includes\htmlform\fields\HTMLMultiSelectField.php: PHP Notice: Undefined offset: 0
Jayprakash12345 lowered the priority of this task from Medium to Low.Apr 17 2018, 7:39 PM
Jayprakash12345 raised the priority of this task from Low to Medium.Feb 4 2019, 12:15 AM

The both issue has resolved.

Change 427190 merged by jenkins-bot:
[mediawiki/extensions/WatchSubpages@master] Convert Special:WatchSubpages to OOUI

https://gerrit.wikimedia.org/r/427190

Jayprakash12345 closed this task as Resolved.Feb 5 2019, 9:42 AM
Jayprakash12345 removed a project: Patch-For-Review.
Jayprakash12345 removed a subscriber: gerritbot.

Thanks, @Volker_E :)

Jayprakash12345 renamed this task from Convert Special:WatchSubpages to OOUI to Convert Extension:WatchSubpages to OOUI.Feb 5 2019, 9:45 AM
Jayprakash12345 updated the task description. (Show Details)